//ConvertVrv.h
#pragma once
	
#ifdef	ENGINE_MODULE
#define ENGINE_API			_declspec(dllexport)
#else
#define ENGINE_API			_declspec(dllimport)
#endif
#include <stdint.h>	
	
	
const static int32_t  g_StatePreOperate   = 1;
const static int32_t  g_StateConvertVideo = 2;
const static int32_t  g_StateConvertAudio = 3;
const static int32_t  g_StateSaveFile     = 4;
const static int32_t  g_FinishedSuccess   = 5;
const static int32_t  g_FinishedFailed    = 6;
	
	
const static int64_t  g_ConvertVRV_3D_SWAP_UD = 1;		//ʾӳ3DƵԴĬң
const static int64_t  g_ConvertVRV_AmbisonicWXYZ = 2;	//ĬQuat surround廷
const static int64_t  g_ConvertVRV_AmbisonicWYZX = 4;	
	
	
typedef  void(* VRVLogOut)(const char * pstrLog);
		
typedef  void(*VRVProgressOut)(int32_t iCurStep, int32_t iMaxStep, int32_t iState);
		
ENGINE_API bool	InitConvertVRV(VRVLogOut pLogOut = 0);
		
ENGINE_API void	UnInitConvertVRV();
	


ENGINE_API bool ConvertVRV(bool bBallMap, bool bIs3D, const char * pInputFileName, const char * pOutFileName, 
	int32_t iSpeedType, int32_t iCodeRateType, int32_t iResolutionType = 512 * 3, VRVProgressOut pProgressOut = 0, uint64_t uConvLab = 0);

ENGINE_API void CancelCurConvert();











	
	
